Package org.apache.aries.jax.rs.openapi

## Class JaxrsWhiteboardScanner

- java.lang.Object
- - org.apache.aries.jax.rs.openapi.JaxrsWhiteboardScanner

All Implemented Interfaces:
  `io.swagger.v3.oas.integration.api.OpenApiScanner`

    public class JaxrsWhiteboardScanner
    extends Object
    implements io.swagger.v3.oas.integration.api.OpenApiScanner

### Constructor Summary

Constructors
`JaxrsWhiteboardScanner​(javax.ws.rs.core.Application application, ApplicationClasses applicationClasses)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Set<Class<?>>` `classes()`
`Map<String,​Object>` `resources()`
`void` `setConfiguration​(io.swagger.v3.oas.integration.api.OpenAPIConfiguration openApiConfiguration)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JaxrsWhiteboardScanner

    public JaxrsWhiteboardScanner​(javax.ws.rs.core.Application application,
                                  ApplicationClasses applicationClasses)

### Method Detail

#### setConfiguration

    public void setConfiguration​(io.swagger.v3.oas.integration.api.OpenAPIConfiguration openApiConfiguration)

Specified by:
  `setConfiguration` in interface `io.swagger.v3.oas.integration.api.OpenApiScanner`

#### classes

    public Set<Class<?>> classes()

Specified by:
  `classes` in interface `io.swagger.v3.oas.integration.api.OpenApiScanner`

#### resources

    public Map<String,​Object> resources()

Specified by:
  `resources` in interface `io.swagger.v3.oas.integration.api.OpenApiScanner`